pydevd(1)

NAME
pydevd - Script to start pydevd debugger

SYNOPSIS
pydevd --port N [--client hostname | --server] [option ...] --file executable

DESCRIPTION
This script runs the pydevd debugger on top of another Python script, making it ready to be attached to for remote debugging. It is typically used by connecting from an IDE, such PyDev or PyCharm, or called from debugpy, which is the debugging adapter used in Spyder (via IPython), VSCode Python and Visual Studio Python.

OPTIONS

--port N
    Port to connect (client) or listen (server)

--client hostname
    Hostname to connect

--server
    Run in server mode

--file executable
    The script to run; this must be the last option

--ppid PPID
    Specifies the PPID to attach to

--vm_type TYPE
    Either 'python' or 'jython'; the default is 'python'

--access-token TOKEN
    The access token to access the debug server

--client-access-token TOKEN
    The access token to access the client (usually the IDE)

--DEBUG_RECORD_SOCKET_READS
    Log debugger socket reads

--multiproc
    Reuses connection (used by PyCharm)

--multiprocess
    Creates new connection (used by PyDev)

--save-signatures
    Send signature call tracewait

--save-threading
    Use threading analyser

--save-asyncio
    Use asyncio analyser

--print-in-debugger-startup
    Print debugger startup with pid on stderr

--cmd-line
    Wait for commands

--module
    Set if the file is a module

--skip-notify-stdin
    Do not notify when readline() is called

--qt-support=<mode>
    <mode> is one of 'auto', 'none', 'pyqt5', 'pyqt4', 'pyside' or 'pyside2'

--json-dap
    Use debugpy protocol: a single JSON message in each read

--json-dap-http
    Use DAP protocol: JSON messages over HTTP protocol

--protocol-quoted-line
    Use custom protocol with quoted lines

--protocol-http
    Use custom protocol with HTTP

AUTHOR
pydevd was written by Fabio Zadrozny <fabiofz@gmail.com>.

This manual page was originally written by William Grzybowski <william@grzy.org> for the Debian project (but may be used by others). It was updated by Julian Gilbey <jdg@debian.org>.